diff --git a/web/pgadmin/misc/cloud/static/js/cloud_db_details_schema.ui.js b/web/pgadmin/misc/cloud/static/js/cloud_db_details_schema.ui.js
index 593deb601..f26a6c199 100644
--- a/web/pgadmin/misc/cloud/static/js/cloud_db_details_schema.ui.js
+++ b/web/pgadmin/misc/cloud/static/js/cloud_db_details_schema.ui.js
@@ -88,7 +88,7 @@ class CloudDBCredSchema extends BaseUISchema {
         noEmpty: true,
         helpMessage: gettext('The cloud instance will be deployed in the selected region.')
       },{
-        id: 'aws_access_key', label: gettext('AWS access key'), type: 'password',
+        id: 'aws_access_key', label: gettext('AWS access key'), type: 'text',
         mode: ['create'], noEmpty: true,
       }, {
         id: 'aws_secret_access_key', label: gettext('AWS secret access key'), type: 'password',
diff --git a/web/pgadmin/misc/cloud/utils/rds.py b/web/pgadmin/misc/cloud/utils/rds.py
index 177e0aaae..9c32cbbf1 100644
--- a/web/pgadmin/misc/cloud/utils/rds.py
+++ b/web/pgadmin/misc/cloud/utils/rds.py
@@ -122,7 +122,7 @@ def get_aws_db_instances(eng_version):
         return False, 'Session has not created yet.'
 
     if not eng_version or eng_version == '' or eng_version == 'undefined':
-        eng_version = '9.6.1'
+        eng_version = '10.17'
 
     rds_obj = pickle.loads(session['aws']['aws_rds_obj'])
     res = rds_obj.get_available_db_instance_class(
@@ -148,7 +148,8 @@ def get_aws_db_versions():
 
     rds_obj = pickle.loads(session['aws']['aws_rds_obj'])
     db_versions = rds_obj.get_available_db_version()
-    res = db_versions['DBEngineVersions']
+    res = list(filter(lambda val: not val['EngineVersion'].startswith('9.6'),
+                      db_versions['DBEngineVersions']))
     versions = []
     for value in res:
         versions.append({
